Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157669 - attempt to access beyond end of device: ext2 symlink/EA problem
Summary: attempt to access beyond end of device: ext2 symlink/EA problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-05-13 16:21 UTC by Stephen Tweedie
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:09:03 UTC


Attachments (Terms of Use)
Compatibility fix for symlinks with EAs on ext2 (deleted)
2005-05-26 15:19 UTC, Stephen Tweedie
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Stephen Tweedie 2005-05-13 16:21:22 UTC
+++ This bug was initially created as a clone of Bug #157570 +++

* RHEL3 U5 s390-AS & s390x-AS
* test tree RHEL3-U5-re0512.0
* trying to ipl install images

when ipl-ing the installer, there are errors that indicate problems with the initrd:

> RAMDISK: Compressed image found at block 0
> Freeing initrd memory: 5779k freed
> VFS: Mounted root (ext2 filesystem) readonly.
> Freeing unused kernel memory: 40k freed
> attempt to access beyond end of device
> 01:00: rw=0, want=1815031343, limit=40000
> attempt to access beyond end of device
> 01:00: rw=0, want=1815031343, limit=40000
> attempt to access beyond end of device
> 01:00: rw=0, want=1852400244, limit=40000
> attempt to access beyond end of device
> 01:00: rw=0, want=1852400244, limit=40000
> attempt to access beyond end of device
> 01:00: rw=0, want=1852400244, limit=40000
> Kernel panic: No init found.  Try passing init= option to kernel.
> 00: HCPGSP2629I The virtual machine is placed in CP mode due to a SIGP stop from
>  CPU 01.
> 01: HCPGIR450W CP entered; disabled wait PSW 00020001 80000000 00000000 000112E0

Comment 1 Stephen Tweedie 2005-05-13 16:23:35 UTC
This is the ext2 variant of a known ext3 compatibility problem.  If you create a
symlink with an SELinux label, using a 2.6 kernel, then older 2.4 kernels will
not be able to follow the symlinks properly.

I've already fixed it in upstream 2.4; I'll attach the patch for RHEL-3 once
I've built and tested it.

Comment 3 Ernie Petrides 2005-05-13 22:04:56 UTC
Removing dependency on closed distro bug 157570.

Comment 4 Stephen Tweedie 2005-05-26 15:19:56 UTC
Created attachment 114872 [details]
Compatibility fix for symlinks with EAs on ext2

Comment 7 Ernie Petrides 2005-06-01 00:40:22 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.6.EL).


Comment 13 Red Hat Bugzilla 2005-09-28 15:09:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.